LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
TransliterationModulesExtra.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::i18n
| Interface for internationalization.

## Constant Groups
constants | com::sun::star::i18n::TransliterationModulesExtra
| Extra transliteration module enumeration to use with XTransliteration::loadModule()

## Variables
const short | SENTENCE_CASE = 200
| The first character of the sentence is put in upper case. More...
const short | TITLE_CASE = 201
| The first character of the word is put in upper case. More...
const short | TOGGLE_CASE = 202
| All characters of the word are to change their case from small letters to capital letters and vice versa. More...
const long | IGNORE_DIACRITICS_CTL = 0x40000000
| Ignore diacritics. More...
const long | IGNORE_KASHIDA_CTL = 0x00000800
| Ignore Kashida mark. More...
const long | END_OF_MODULE = 0